Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultLegalReferenceType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultLegalReferenceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:19:37+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultLegalReferenceType

extends Object
implements Serializable

Java class for ConsultLegalReferenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultLegalReferenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FirstPublishedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LastModifiedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LegalReferenceTrace" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultLegalReferenceTraceType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <choice>
               <element name="LegalReference" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultLegalReferenceType" maxOccurs="unbounded" minOccurs="0"/>
               <sequence>
                 <element name="FormalInterpretation" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultFormalInterpretationType" maxOccurs="unbounded" minOccurs="0"/>
                 <element name="LegalText" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultLegalTextType" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
             </choice>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="Key" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultLegalReferenceType()`

Method Summary
`List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getFirstPublishedOn()` Gets the value of the firstPublishedOn property.
`List<ConsultFormalInterpretationType>` | `getFormalInterpretations()` Gets the value of the formalInterpretations property.
`String` | `getKey()` Gets the value of the key property.
`org.joda.time.DateTime` | `getLastModifiedOn()` Gets the value of the lastModifiedOn property.
`List<ConsultLegalReferenceType>` | `getLegalReferences()` Gets the value of the legalReferences property.
`List<ConsultLegalReferenceTraceType>` | `getLegalReferenceTraces()` Gets the value of the legalReferenceTraces property.
`List<ConsultLegalTextType>` | `getLegalTexts()` Gets the value of the legalTexts property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`ConsultTextType` | `getTitle()` Gets the value of the title property.
`String` | `getType()` Gets the value of the type property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setFirstPublishedOn(org.joda.time.DateTime value)` Sets the value of the firstPublishedOn property.
`void` | `setKey(String value)` Sets the value of the key property.
`void` | `setLastModifiedOn(org.joda.time.DateTime value)` Sets the value of the lastModifiedOn property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setTitle(ConsultTextType value)` Sets the value of the title property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultLegalReferenceType

    public ConsultLegalReferenceType()

Method Detail

### getTitle

    public ConsultTextType getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `ConsultTextType`

### setTitle

    public void setTitle(ConsultTextType value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getFirstPublishedOn

    public org.joda.time.DateTime getFirstPublishedOn()

  Gets the value of the firstPublishedOn property.

  Returns:
    possible object is `String`

### setFirstPublishedOn

    public void setFirstPublishedOn(org.joda.time.DateTime value)

  Sets the value of the firstPublishedOn property.

  Parameters:
    `value` - allowed object is `String`

### getLastModifiedOn

    public org.joda.time.DateTime getLastModifiedOn()

  Gets the value of the lastModifiedOn property.

  Returns:
    possible object is `String`

### setLastModifiedOn

    public void setLastModifiedOn(org.joda.time.DateTime value)

  Sets the value of the lastModifiedOn property.

  Parameters:
    `value` - allowed object is `String`

### getLegalReferenceTraces

    public List<ConsultLegalReferenceTraceType> getLegalReferenceTraces()

  Gets the value of the legalReferenceTraces property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferenceTraces property.

  For example, to add a new item, do as follows:

          getLegalReferenceTraces().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultLegalReferenceTraceType`

### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()

  Gets the value of the additionalFields property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

  For example, to add a new item, do as follows:

          getAdditionalFields().add(newItem);

  Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

### getFormalInterpretations

    public List<ConsultFormalInterpretationType> getFormalInterpretations()

  Gets the value of the formalInterpretations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the formalInterpretations property.

  For example, to add a new item, do as follows:

          getFormalInterpretations().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultFormalInterpretationType`

### getLegalTexts

    public List<ConsultLegalTextType> getLegalTexts()

  Gets the value of the legalTexts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalTexts property.

  For example, to add a new item, do as follows:

          getLegalTexts().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultLegalTextType`

### getLegalReferences

    public List<ConsultLegalReferenceType> getLegalReferences()

  Gets the value of the legalReferences property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferences property.

  For example, to add a new item, do as follows:

          getLegalReferences().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultLegalReferenceType`

### getKey

    public String getKey()

  Gets the value of the key property.

  Returns:
    possible object is `String`

### setKey

    public void setKey(String value)

  Sets the value of the key property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.